#!/usr/bin/bash

# bash checkIdSupported versionOfConstanst.java to check
#

# From https://bugzilla.mozilla.org/show_bug.cgi?id=1321594
# below is the list of NSS that JSS did not support
declare -a arr=(
 "TLS_AES_128_GCM_SHA256"  \
 "TLS_CHACHA20_POLY1305_SHA256" \
 "TLS_AES_256_GCM_SHA384"  \
 "TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256" \
 "TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256"   \
 "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384"       \
 "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384"         \
 "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384"       \
 "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384"         \
 "TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256"     \
 "TLS_DHE_DSS_WITH_AES_128_GCM_SHA256"           \
 "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384"           \
 "TLS_DHE_DSS_WITH_AES_256_GCM_SHA384"           \
 "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256"           \
 "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256"           \
 "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256"           \
 "TLS_RSA_WITH_AES_256_GCM_SHA384" )

for i in "${arr[@]}"
do
    echo "Checking ${i}"
    grep "${i}" $1
    echo "----------------------------"
done

